Subject: Re: linux-next: build warning after merge of the jc_docs tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 31 Jul 2025 00:31:49 +1000

Hi Jon,

On Wed, 30 Jul 2025 07:01:21 -0600 Jonathan Corbet <[email-masked]> wrote:
>
> Stephen Rothwell <[email-masked]> writes:
> 
> > Hi all,
> >
> > After merging the jc_docs tree, today's linux-next build (htmldocs)
> > produced this warning:
> >
> > Documentation/arch/powerpc/index.rst:7: WARNING: duplicated entry found in toctree: arch/powerpc/htm
> >
> > Introduced by commit
> >
> >   c361f76da696 ("docs: powerpc: Add htm.rst to table of contents")
> >
> > interacting with commit
> >
> >   19122a7c28ed ("docs: powerpc: add htm.rst to toctree")
> >
> > from the powerpc tree.  
> 
> Did that just get added there?  I've had that fix since early June...I'd
> rather not drop it (and have to redo my 6.17 pull request) now if
> possible...

Yeah, it was added to the powerpc tree last night (or yesterday).  Just
tell Linus to take your version (I think) when he merges the 2 trees.

Or a fix patch could be sent after both are merged.
-- 
Cheers,
Stephen Rothwell